Project

General

Profile

Actions

Refactor #10471

closed

Replace require_ssl filter with Rails' force_ssl

Added by Dominic Cleal about 9 years ago. Updated about 6 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Rails
Target version:
Difficulty:
Triaged:
Fixed in Releases:
Found in Releases:

Description

Rails has a built in force_ssl filter that we can use to replace our own "require_ssl" filter.


Related issues 1 (0 open1 closed)

Related to Foreman - Bug #11119: CVE-2015-5152 - API permits HTTP requests when require_ssl is enabledClosed07/15/2015Actions
Actions

Also available in: Atom PDF